import request from '@/utils/request'
import Qs from 'qs'

/**
 * 1.新增字典类型
 * 2.修改字典类型
 * 3.查询字典类型列表
 * 4.查询字典类型详细
 * 5.删除字典类型
 * 6.导出字典类型
 * ---------------------------------
 * 7.清理参数缓存
 * 8.获取字典选择框列表
 * */

// 1.新增字典类型
export function addType(data) {
  data = Qs.stringify(data)
  return request({
    url: '/system/dict/type/add',
    method: 'post',
    data: data,
    headers: {}
  })
}

// 2.修改字典类型
export function updateType(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/system/dict/type/update/' + businessId,
    method: 'put',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 3.查询字典类型列表
export function listType(query) {
  return request({
    url: '/system/dict/type/list',
    method: 'get',
    params: query
  })
}

// 4.查询字典类型详细
export function getType(dictId) {
  return request({
    url: '/system/dict/type/detail/' + dictId,
    method: 'get'
  })
}

// 5.删除字典类型
export function delType(dictId) {
  return request({
    url: '/system/dict/type/deleteLogical/' + dictId,
    method: 'delete'
  })
}

// 6.导出字典类型
export function exportType(query) {
  return request({
    url: '/system/dict/type/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 7.清理参数缓存
export function clearCache() {
  return request({
    url: '/system/dict/type/clearCache',
    method: 'delete'
  })
}
// 8.获取字典选择框列表
export function selectDictType(dictType) {
  return request({
    url: '/system/dict/data/type/' + dictType,
    method: 'get'
  })
}
